<?xml version="1.0"?>
<doc>
    <assembly>
        <name>DBM.System.Hostd</name>
    </assembly>
    <members>
        <member name="T:DBM.System.Hostd.Authorization.AuthorizationAttribute">
            <summary>
            登录验证过滤器
            </summary>
        </member>
        <member name="T:DBM.System.Hostd.Controllers.Basic.AssetsController">
            <summary>
            资产管理服务
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.Basic.AssetsController._logger">
            <summary>
            日志管理接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.Basic.AssetsController._tokenManager">
            <summary>
            会话管理接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.Basic.AssetsController._AssetsService">
            <summary>
            实体记录接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.Basic.AssetsController._unitOfWork">
            <summary>
            工作单元接口
            </summary>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.Basic.AssetsController.UploadFile(Microsoft.AspNetCore.Http.IFormFile)">
            <summary>
            资产文件覆盖更新
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.Basic.AssetsController.DownloadFile">
            <summary>
            资产文件下载模板
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.Basic.AssetsController.GetList">
            <summary>
            获取所有资产信息
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.Basic.AssetsController.Query(DBM.System.Model.PageParm)">
            <summary>
            分页查询资产信息
            </summary>
            <param name="parm">分页参数</param>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.Basic.AssetsController.GetById(System.Object)">
            <summary>
            根据主键获取资产详情
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.Basic.AssetsController.GetByAssetID(System.String)">
            <summary>
            设备详情弹窗-根据资产编码获取资产详情
            </summary>
            <param name="id">编码</param>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.Basic.AssetsController.StaticsAssets(System.String)">
            <summary>
            统计资产信息
            </summary>
            <param name="type">major=分类,critical=等级</param>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.Basic.AssetsController.Add(DBM.System.Model.Assets)">
            <summary>
            添加 
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.BaseController.toResponse(DBM.System.Model.StatusCodeType)">
            <summary>
            返回封装
            </summary>
            <param name="statusCode"></param>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.BaseController.toResponse(DBM.System.Model.StatusCodeType,System.String)">
            <summary>
            返回封装
            </summary>
            <param name="statusCode"></param>
            <param name="retMessage"></param>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.BaseController.toResponse``1(``0)">
            <summary>
            返回封装
            </summary>
            <typeparam name="T"></typeparam>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.BaseController.toResponse``1(``0,System.String)">
            <summary>
            返回封装
            </summary>
            <typeparam name="T"></typeparam>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.BaseController.ResolveUserMenuTree(System.Collections.Generic.List{DBM.System.Model.Sys_Menu},System.String)">
            <summary>
            生成 Vue Router
            </summary>
            <param name="menus"></param>
            <param name="parentId"></param>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.BaseController.ResolveMenuTree(System.Collections.Generic.List{DBM.System.Model.Sys_Menu},System.String)">
            <summary>
            生成系统菜单树
            </summary>
            <param name="menus"></param>
            <param name="parentId"></param>
            <returns></returns>
        </member>
        <member name="T:DBM.System.Hostd.Controllers.DeviceController">
            <summary>
            设备服务
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.DeviceController._logger">
            <summary>
            日志管理接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.DeviceController._tokenManager">
            <summary>
            会话管理接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.DeviceController._deviceService">
            <summary>
            设备记录接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.DeviceController._measurementPointService">
            <summary>
            测点记录接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.DeviceController._measurementHistoryService">
            <summary>
            测点历史记录接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.DeviceController._deviceWarningService">
            <summary>
            设备报警记录接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.DeviceController._unitOfWork">
            <summary>
            工作单元接口
            </summary>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.DeviceController.QueryDeviceEvents(DBM.System.Model.PageParm)">
            <summary>
            历史告警事件-分页查询设备报警列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.DeviceController.QueryDeviceEventsCount">
            <summary>
            历史告警事件-查询告警事件统计
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.DeviceController.QueryTodayDeviceEvent">
            <summary>
            告警事件-今日告警事件统计
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.DeviceController.GetDeviceOnlineState">
            <summary>
            设备状态管理面板-查询设备在线情况,按照车间、在线数量进行分组
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.DeviceController.GetDeviceOnlineDeviceTypeCount">
            <summary>
            设备状态管理面板-查询设备在线情况,按照类型、在线数量进行分组
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.DeviceController.GetDeviceFailureCount">
            <summary>
            设备告警类型分析-统计设备故障数量,按照车间进行分组
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.DeviceController.GetDeviceDeviceOnlineDuration">
            <summary>
            设备运行时间面板-查询设备运行时长
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.DeviceController.GeDevicetList">
            <summary>
            获取所有设备清单
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.DeviceController.GeDevicetByName(System.String,System.String)">
            <summary>
            根据车间信息和名称查找设备
            </summary>
            <param name="workshop">车间信息</param>
            <param name="deviceName">设备名称</param>
            <returns>设备列表</returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.DeviceController.Query(DBM.System.Model.PageParm)">
            <summary>
            分页查询列表
            </summary>
            <returns></returns>
        </member>
        <member name="T:DBM.System.Hostd.Controllers.EnergyConsumptionController">
            <summary>
            能耗服务，包括药耗电耗等
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.EnergyConsumptionController._logger">
            <summary>
            日志管理接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.EnergyConsumptionController._tokenManager">
            <summary>
            会话管理接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.EnergyConsumptionController._deviceService">
            <summary>
            设备记录接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.EnergyConsumptionController._measurementPointService">
            <summary>
            测点记录接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.EnergyConsumptionController._measurementHistoryService">
            <summary>
            测点历史记录接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.EnergyConsumptionController._deviceWarningService">
            <summary>
            设备报警记录接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.EnergyConsumptionController._energyConsumptionService">
            <summary>
            设备报警记录接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.EnergyConsumptionController._unitOfWork">
            <summary>
            工作单元接口
            </summary>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetReturnWater">
            <summary>
            1.生产资料页面-外回流泵的流量数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetBIOFlow">
            <summary>
            1.生产资料页面-生化池的流量数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetFlowDetail(System.String)">
            <summary>
            1.生产资料页面-生化池的流量当天的数值变化趋势
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetPAC">
            <summary>
            1.生产资料页面-PAC的累计加药量，瞬时加药流量数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetPAM">
            <summary>
            1.生产资料页面-PAM的累计加药量，瞬时加药流量数据，只有运行和故障信息
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetNaAC">
            <summary>
            1.生产资料页面-乙酸钠的累计加药量，瞬时加药流量数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetNaCIO">
            <summary>
            生产资料页面-次氯酸钠的累计加药量，瞬时加药流量数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetSludge">
            <summary>
            1.生产资料页面-污泥浓度计实时数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetJQBQQTLL">
            <summary>
            1.生产资料页面-获取精确曝气气体流量反馈值实时数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetJQBQFMKD">
            <summary>
            1.生产资料页面-获取精确曝气阀门开度反馈实时数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetSludgeDetail(System.String)">
            <summary>
             1.生产资料页面-污泥浓度计当天的数值变化趋势
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetDO">
            <summary>
            1.生产资料页面-DO仪实时数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetDODetail(System.String)">
            <summary>
            1.生产资料页面-DO仪当天的数值变化趋势
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetORP">
            <summary>
            1.生产资料页面-ORP实时数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetORPDetail(System.String)">
            <summary>
            1.生产资料页面-ORP当天的数值变化趋势
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetANFilter">
            <summary>
            1.生产资料页面-反硝滤池的液位计数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetClearWell">
            <summary>
            生产资料页面-清水池的液位计数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetAllLL">
            <summary>
            1.生产资料页面-所有液位计数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetLLDetail(System.String)">
            <summary>
            1.生产资料页面-液位当天的数值变化趋势
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetAllAeration">
            <summary>
            生产资料页面-精确曝气流量计数据(暂无点位)
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.Query(DBM.System.Model.PageParm)">
            <summary>
            分页查询列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetSpecialConsumptionByWeek">
            <summary>
            药耗分析-按周统计,数据量太大，统计不出来
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetSpecialConsumptionByWeekWithPoint(System.String)">
            <summary>
            药耗分析-按周统计指定点位
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.EnergyConsumptionController.GetSpecialConsumptionByMonthWithPoint(System.String)">
            <summary>
            药耗分析-按月统计指定点位
            </summary>
            <returns></returns>
        </member>
        <member name="T:DBM.System.Hostd.Controllers.MeasurementController">
            <summary>
            监测点服务
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.MeasurementController._logger">
            <summary>
            日志管理接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.MeasurementController._tokenManager">
            <summary>
            会话管理接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.MeasurementController._deviceService">
            <summary>
            设备记录接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.MeasurementController._measurementPointService">
            <summary>
            测点记录接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.MeasurementController._measurementHistoryService">
            <summary>
            测点历史记录接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.MeasurementController._deviceWarningService">
            <summary>
            设备报警记录接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Controllers.MeasurementController._unitOfWork">
            <summary>
            工作单元接口
            </summary>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.MeasurementController.GetInletList">
            <summary>
            进出水质监测面板-获取进水参数
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.MeasurementController.GetInletListByDay(System.String,System.String)">
            <summary>
            水质趋势面板-查询历史进水参数
            </summary>
            <param name="day">日期，yyyy-MM-dd格式</param>
             <param name="dataType">数据类型,进水COD,进水氨氮,进水TP,进水TN,进水SS,进水PH</param>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.MeasurementController.GetHistoryByDay(System.String,System.String)">
            <summary>
            根据测点查询历史参数
            </summary>
            <param name="day">日期，yyyy-MM-dd格式</param>
            <param name="pointName">测点名称</param>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.MeasurementController.GetWaterByDay(System.String)">
            <summary>
            获取历史进出水总量
            </summary>
            <param name="day"></param>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.MeasurementController.GetOutletList">
            <summary>
            进出水质监测面板-获取出水参数
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.MeasurementController.GetOutletListByDay(System.String,System.String)">
            <summary>
            水质趋势面板-按日期获取出水参数
            </summary>s
            <param name="day">日期，yyyy-MM-dd格式</param>
             <param name="dataType">数据类型,出水COD,出水氨氮,出水TP,出水TN,出水SS,出水PH</param>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.MeasurementController.GetTodayIOW">
            <summary>
            水处理面板-今日进出水总量
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Controllers.MeasurementController.Query(DBM.System.Model.PageParm)">
            <summary>
            分页查询列表
            </summary>
            <returns></returns>
        </member>
        <member name="F:DBM.System.Hostd.Extensions.TokenManager._memoryCache">
            <summary>
            缓存组件
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Extensions.TokenManager._onlineService">
            <summary>
            在线会话
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Extensions.TokenManager._usersService">
            <summary>
            用户接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Extensions.TokenManager._accessor">
            <summary>
            HTTP上下文
            </summary>
        </member>
        <member name="M:DBM.System.Hostd.Extensions.TokenManager.CreateSession(DBM.System.Model.Sys_Users,DBM.System.Model.SourceType,System.Int32)">
            <summary>
            创建 Session
            </summary>
        </member>
        <member name="M:DBM.System.Hostd.Extensions.TokenManager.UpdateSession(System.String)">
            <summary>
            更新Session
            </summary>
            <param name="userSession">用户Session</param>
        </member>
        <member name="M:DBM.System.Hostd.Extensions.TokenManager.RefreshSession(System.String)">
            <summary>
            刷新用户所有Session信息
            </summary>
            <param name="userId"></param>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Extensions.TokenManager.RemoveSession(System.String)">
            <summary>
            清除指定 Session
            </summary>
        </member>
        <member name="M:DBM.System.Hostd.Extensions.TokenManager.RemoveAllSession(System.String)">
            <summary>
            清除用户所有 Session
            </summary>
            <param name="userId"></param>
        </member>
        <member name="P:DBM.System.Hostd.Extensions.TokenManager.GetSysToken">
            <summary>
            获取Session
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Extensions.TokenManager.GetSessionInfo">
            <summary>
            当前登录用户信息
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Extensions.TokenManager.IsAuthenticated">
            <summary>
            判断用户是否登录
            </summary>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Extensions.TokenManager.GetSessionItem``1(System.String)">
            <summary>
            获取 Session 内容
            </summary>
            <typeparam name="T"></typeparam>
            <param name="key"></param>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Extensions.TokenManager.GetSessionItem``1(System.String,System.String)">
            <summary>
            获取 Session 内容
            </summary>
            <typeparam name="T"></typeparam>
            <param name="session"></param>
            <param name="key"></param>
            <returns></returns>
        </member>
        <member name="M:DBM.System.Hostd.Global.GlobalExceptions.WriteLog(System.String,System.Exception)">
            <summary>
            自定义返回格式
            </summary>
            <param name="throwMsg"></param>
            <param name="ex"></param>
            <returns></returns>
        </member>
        <member name="T:DBM.System.Hostd.Middleware.RequestMiddleware">
            <summary>
            中间件
            记录请求和响应数据
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Middleware.RequestMiddleware.logger">
            <summary>
            日志接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Queue.SubscriberService._logger">
            <summary>
            日志管理接口
            </summary>
        </member>
        <member name="F:DBM.System.Hostd.Queue.SubscriberService._smsServices">
            <summary>
            阿里云短信接口
            </summary>
        </member>
        <member name="M:DBM.System.Hostd.Queue.SubscriberService.QueueSMSCaptcha(DBM.System.Model.QueueSMSCaptchaDto)">
            <summary>
            发送短信队列
            </summary>
            <param name="captcha"></param>
        </member>
        <member name="M:DBM.System.Hostd.Util.StreamUtil.ObjToJson(System.Object)">
            <summary>
            .net 对象转换成Josn
            </summary>
            <param name="target"></param>
            <returns></returns>
        </member>
    </members>
</doc>
